=== debian/changelog ===
cpp-argparse-dev (1.6.6-0ppa0) focal; urgency=low

  * Update: C++98 shared_ptr implementation
  * Update: format tab up to ARGPARSE_TAB_SIZE (default 4) spaces
  * Fix: Allow share dest storage #9

 -- Mikhail Golubchikov <golubchikov.mihail@gmail.com>  Sat, 23 Jul 2022 20:29:06 +0300

cpp-argparse-dev (1.6.5-0ppa0) focal; urgency=low

  * Add: missing ArgumentParser functions for C++98
  * Update: Argument::metavar functions

 -- Mikhail Golubchikov <golubchikov.mihail@gmail.com>  Sat, 25 Jun 2022 20:29:39 +0300

cpp-argparse-dev (1.6.4-0ppa0) focal; urgency=low

  * Add: C++98 standard support for Namespace::get
  * Add: C++98 standard support for detail::Type

 -- Mikhail Golubchikov <golubchikov.mihail@gmail.com>  Sat, 18 Jun 2022 21:55:33 +0300

cpp-argparse-dev (1.6.3-0ppa0) focal; urgency=low

  * Add: C++98 standard support
  * Fix: detail::_get_type_name() for GCC 4.6

 -- Mikhail Golubchikov <golubchikov.mihail@gmail.com>  Fri, 17 Jun 2022 22:33:32 +0300

cpp-argparse-dev (1.6.2-0ppa0) focal; urgency=low

  * Fix: MSVC standard check
  * Use: handle as C++11+ feature
  * Fix: detail::_format_name implementation
  * Code refactoring and optimizing

 -- Mikhail Golubchikov <golubchikov.mihail@gmail.com>  Fri, 10 Jun 2022 19:48:44 +0300

cpp-argparse-dev (1.6.1-0ppa0) focal; urgency=low

  * Fix: Argument default value using algorithm
  * Fix: MetavarTypeHelpFormatter using
  * Fix: avoid to add default to help if it exists
  * Update: Help formatting

 -- Mikhail Golubchikov <golubchikov.mihail@gmail.com>  Sat, 28 May 2022 18:50:07 +0300

cpp-argparse-dev (1.6.0-0ppa0) focal; urgency=low

  * Set: std::string as basic type for std::string_view
  * Add: std::ostream& operator << overload for Namespace
  * Fix: copy default values from parents
  * Fix: usage generation for required options
  * Add: check for optional mutex arguments
  * Fix: argparse::SUPPRESS for positional arguments
  * Add: ARGPARSE_NO_AUTODETECT to disable terminal size auto-detection
  * Fix: help auto-formatting
  * Fix: show default value
  * Fix: optional argument flag name generation
  * Add: allow providing a tuple to metavar
  * Fix: customizing file parsing
  * Add: required flag to add_mutually_exclusive_group
  * Add: title and description to add_subparsers
  * Fix: don't show help for subparsers without help
  * Add: support for subparser aliases
  * Add: nargs(arparse::REMAINDER) or remainder() support
  * Add: %(prog)s format specifier for usage and help
  * Add: %(default)s format specifier for argument help
  * Add: set argument type if calling Argument::*_value<T>(T)
  * Remove: deprecated code
  * Add: argument flags, dest, parser name formatting

 -- Mikhail Golubchikov <golubchikov.mihail@gmail.com>  Fri, 20 May 2022 20:57:42 +0300

cpp-argparse-dev (1.5.2-0ppa0) focal; urgency=low

  * Fix: Argument::choices({ A, B }) with 2 choices

 -- Mikhail Golubchikov <golubchikov.mihail@gmail.com>  Fri, 13 May 2022 19:40:57 +0300

cpp-argparse-dev (1.5.1-0ppa0) focal; urgency=low

  * Fix: conflicting option string error
  * Fix: Namespace::try_get for std::array type
  * Remove: required const value for *_const actions
  * Remove: default value check for append_const actions
  * Code refactoring and optimizing

 -- Mikhail Golubchikov <golubchikov.mihail@gmail.com>  Sun, 08 May 2022 18:14:22 +0300

cpp-argparse-dev (1.5.0-0ppa0) focal; urgency=low

  * Rewrite parents support implementation
  * Rewrite parser's prog name generation
  * Use ArgumentParser as Subparser's parser
  * Mark ArgumentParser::Parser deprecated
  * Fix: conflicting option error
  * Fix: mutually exclusive group help
  * Fix: arguments order in Namespace
  * Fix: subparsers required error message
  * Fix: required args check
  * Add: title, description ArgumentGroup setters

 -- Mikhail Golubchikov <golubchikov.mihail@gmail.com>  Sat, 30 Apr 2022 17:41:21 +0300

cpp-argparse-dev (1.4.2-0ppa0) focal; urgency=low

  * Add paired containers support to Namespace::get()
  * Add tupled containers support to Namespace::get()
  * Add 2D containers of queue support to Namespace::get()
  * Update type check
  * Fix parseing if Namespace exists
  * Fix read args from file implementation
  * Fix type name determine on windows
  * Add base support for Parser's parents

 -- Mikhail Golubchikov <golubchikov.mihail@gmail.com>  Sat, 23 Apr 2022 17:21:31 +0300

cpp-argparse-dev (1.4.1-0ppa0) focal; urgency=low

  * Fix code style issues
  * Update terminal size detection on Unix
  * Add Argument::implicit_value() support #4
  * Fix separating argument into abbreviations
  * Mark Namespace::try_get deprecated for C++14
  * Code refactoring and optimizing

 -- Mikhail Golubchikov <golubchikov.mihail@gmail.com>  Sat, 16 Apr 2022 21:54:25 +0300

cpp-argparse-dev (1.4.0-0ppa0) focal; urgency=low

  * Add 2D containers support for Namespace::get()
  * Update help formatting
  * Allow to set output width
  * Add terminal size auto-detection
  * Rename ExclusiveGroup to MutuallyExclusiveGroup
  * Add add_argument(Argument) to ArgumentGroup and MutuallyExclusiveGroup

 -- Mikhail Golubchikov <golubchikov.mihail@gmail.com>  Sun, 10 Apr 2022 15:22:26 +0300

cpp-argparse-dev (1.3.8-0ppa0) focal; urgency=low

  * Allow to add_argument(Argument().dest(...))
  * Allow to add_argument().dest(...)
  * Add Namespace::print() and Namespace::to_string()
  * Fix default value store
  * Don't handle none argument value
  * Fix nargs "?" with const and action "extend"
  * Fix Namespace::to_string(...)
  * Fix positional args store

 -- Mikhail Golubchikov <golubchikov.mihail@gmail.com>  Sat, 26 Mar 2022 19:58:34 +0300

cpp-argparse-dev (1.3.7-0ppa0) focal; urgency=low

  * Add default value SUPPRESS in get_default
  * Remove SUPPRESS arg from Namespace
  * Refactor add_argument() functions
  * Add new Argument constructors
  * Fix ArgumentParser::exit implementation

 -- Mikhail Golubchikov <golubchikov.mihail@gmail.com>  Sat, 19 Mar 2022 22:22:37 +0300


