=== debian/control ===
Source: cpp-argparse-dev
Section: devel
Priority: optional
Maintainer: Mikhail Golubchikov <golubchikov.mihail@gmail.com>
Build-Depends: cmake, build-essential

Package: cpp-argparse-dev
Architecture: any
Description: C++ Argument Parser
 Python-like header-only C++ argument parser
